Loading...
Searching...
No Matches
starpu_mpi_comm.h File Reference
`#include <starpu.h>`
`#include <stdlib.h>`
`#include <mpi.h>`
`#include <mpi/starpu_mpi_mpi_backend.h>`

Go to the source code of this file.

## Functions

void | _starpu_mpi_comm_init (MPI_Comm comm)
void | _starpu_mpi_comm_shutdown ()
void | _starpu_mpi_comm_register (MPI_Comm comm)
void | _starpu_mpi_comm_post_recv ()
int | _starpu_mpi_comm_test_recv (MPI_Status *status, struct _starpu_mpi_envelope **envelope, MPI_Comm *comm)
void | _starpu_mpi_comm_cancel_recv ()